<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateMinuteSheetsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('minute_sheets', function (Blueprint $table) {
         $table->increments('id');
         $table->string('title')->nullable();
         $table->enum('status', ['Unlocked','Locked'])->default('Unlocked');
         $table->timestamp('date')->nullable();
         $table->timestamp('refresh_date')->nullable();
         $table->enum('is_recycle', ['0','1','2'])->default('0');
         $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('minute_sheets');
    }
}
